Is TuneUp Utilities 2012 compatible with older versions?

The latest version of TuneUp Utilities cannot be installed in parallel with previous versions. Previous versions of TuneUp Utilities are removed when you install the latest version.

TuneUp Utilities 2009 and earlier versions can be operated in parallel with the current version. However, for performance reasons we recommend removing older versions before installing the current version of TuneUp Utilities.